%global commit 08eec6f9067538778264eb952097ef982e2b4bc0
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20170712

Name:           nyx
Version:        1.4.6
Release:        2.%{date}git%{shortcommit}%{?dist}
Summary:        Terminal status monitor for Tor
License:        GPLv3
URL:            https://gitweb.torproject.org/nyx.git
# git clone https://git.torproject.org/nyx.git
# cd nyx; git archive --format=tar --prefix=nyx/ %%{commit} | xz > ../%%{name}-%%{version}-%%{date}git%%{shortcommit}.tar.xz
Source0:        %{name}-%{version}-%{date}git%{shortcommit}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-stem
BuildRequires:  python3-sphinx
Requires:       python3-stem
Suggests:       %{name}-doc = %{version}-%{release}

%description
The anonymizing relay monitor (nyx) is a terminal status monitor for Tor relays,
intended for command-line aficionados, ssh connections, and anyone with a tty
terminal. This works much like top does for system usage, providing real time
statistics for:

 - bandwidth, CPU, and memory usage
 - relay's current configuration
 - logged events
 - connection details (IP, host name, fingerprint, and consensus data)
 - etc.


%package doc
Summary:        Documentation for nyx

%description doc
Documentation for nyx

%prep
%autosetup -n %{name}

%build
%py3_build
pushd docs
SPHINXBUILD=sphinx-build-3 make man
SPHINXBUILD=sphinx-build-3 make html
SPHINXBUILD=sphinx-build-3 make text
popd

%install
%py3_install
install -D -m 0644 docs/_build/man/Nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%files
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}*-py*.egg-info

%files doc
%doc docs/_build/html docs/_build/text
%{_mandir}/man1/nyx.1*

%changelog
* Wed Jul 12 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.4.6-2.20170712git08eec6f
- Use Python3
- Doc subpackage

* Wed Jul 12 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.4.6-1.20170712git08eec6f
- First release of nyx
